View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000627OpenFOAM[All Projects] Bugpublic2012-08-15 16:412013-08-20 15:02
Reporterkwardle 
Assigned Toandy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformLinuxOSUbuntuOS Version10.04
Product Version2.1.x 
Target VersionFixed in Version 
Summary0000627: "Unknown patchField type nuSgsUSpaldingWallFunction for patch type wall" error in multiphaseEulerFoam
DescriptionAfter git pull and rebuild am seeing an error for LES wall function from a case that worked fine previously. Perhaps a linking error? I have verified with ldd that incompressibleLESModels.so is linked:

libincompressibleLESModels.so => /home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleLESModels.so (0x00002b19eed93000)

I have tried to wclean libso in turbulence/incompressible/LES and remake. Still see the problem.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001598)
kwardle (reporter)
2012-08-15 16:43

Here's the full output.

/*---------------------------------------------------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 2.1.x |
| \\ / A nd | Web: www.OpenFOAM.org |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
Build : 2.1.x-0a79a0b77f29
Exec : multiphaseEulerFoam
Date : Aug 15 2012
Time : 09:37:50
Host : "flogin1"
PID : 28709
Case : /home/wardke/OpenFOAM/wardke-2.1.x/run/ann3d-3p-pop-675K
nProcs : 1
sigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).
fileModificationChecking : Monitoring run-time modified files using timeStampMaster
allowSystemOperations : Disallowing user-supplied system call operations

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Create time

Create mesh for time = 0


PIMPLE: Operating solver in PISO mode


Reading g
Reading field p

Calculating face flux field phiwater
Selecting diameterModel for phase water: constant
Calculating face flux field phioil
Selecting diameterModel for phase oil: constant
Calculating face flux field phiair
Selecting diameterModel for phase air: constant
Selecting dragModel for phase air: blended
Selecting dragModel for phase air: SchillerNaumann
Selecting dragModel for phase water: SchillerNaumann
Selecting dragModel for phase air: blended
Selecting dragModel for phase air: SchillerNaumann
Selecting dragModel for phase oil: SchillerNaumann
Selecting dragModel for phase water: SchillerNaumann
Selecting LES turbulence model Smagorinsky


--> FOAM FATAL IO ERROR:
Unknown patchField type nuSgsUSpaldingWallFunction for patch type wall

Valid patchField types are :

53
(
advective
alphaContactAngle
buoyantPressure
calculated
codedFixedValue
codedMixed
cyclic
cyclicAMI
cyclicSlip
directionMixed
empty
fan
fanPressure
fixedFluxPressure
fixedGradient
fixedInternalValue
fixedPressureCompressibleDensity
fixedValue
freestream
freestreamPressure
inletOutlet
inletOutletTotalTemperature
mapped
mappedField
mappedFixedInternalValue
mappedFixedPushedInternalValue
mixed
multiphaseFixedFluxPressure
nonuniformTransformCyclic
oscillatingFixedValue
outletInlet
outletMappedUniformInlet
partialSlip
phaseHydrostaticPressure
processor
processorCyclic
rotatingTotalPressure
sliced
slip
symmetryPlane
syringePressure
timeVaryingMappedFixedValue
totalPressure
totalTemperature
turbulentInlet
turbulentIntensityKineticEnergyInlet
uniformDensityHydrostaticPressure
uniformFixedValue
uniformTotalPressure
waveSurfacePressure
waveTransmissive
wedge
zeroGradient
)


file: /home/wardke/OpenFOAM/wardke-2.1.x/run/ann3d-3p-pop-675K/0/nuSgs::boundaryField::rotor from line 40 to line 41.

    From function fvPatchField<Type>::New(const fvPatch&, const DimensionedField<Type, volMesh>&, const dictionary&)
    in file /home/wardke/OpenFOAM/OpenFOAM-2.1.x/src/finiteVolume/lnInclude/fvPatchFieldNew.C at line 135.

FOAM exiting
(0001599)
kwardle (reporter)
2012-08-15 18:19

Did a complete wcleanAll and rebuild and still have this issue.
(0001600)
wyldckat (reporter)
2012-08-15 19:50

If you check the file:
  $FOAM_TUTORIALS/incompressible/pisoFoam/les/motorBike/lesFiles/nuSgs

You'll see that:
- type nuSgsUSpaldingWallFunction;
+ type nutUSpaldingWallFunction;

This was done back in the commit 5d6c966ea106a171429febc7a35a44bd02fce707:
  https://github.com/OpenFOAM/OpenFOAM-2.1.x/commit/5d6c966ea106a171429febc7a35a44bd02fce707#diff-120 [^]

You'll see on that page that there were several changes ;)

By the way, the message for that commit:
  Added support for variable density incompressible divDevReff for VoF solvers
  Generalised wall-functions between RAS and LES/DES modelling
(0001601)
kwardle (reporter)
2012-08-15 20:29

OK, I see that. Thanks. You will notice though that nutUSpaldingWallFunction is also not an option in the list that gets spit out. As such, I still have the same problem only it is now "Unknown patch field type nutUSpaldingWallFunction"
(0001602)
wyldckat (reporter)
2012-08-15 20:53
edited on: 2012-08-15 21:01

I forgot to check that detail... looks like this one is part of incompressible RAS: turbulenceModels/incompressible/RAS/derivedFvPatchFields/wallFunctions/nutWallFunctions/nutUSpaldingWallFunction

You can load the necessary library by adding to "system/controlDict":
  libs ("libincompressibleRASModels.so")

Problem here is that I don't know if this wall function will do the same as the other one... you'll have to either wait for an official answer or compare the code yourself.

(0001603)
kwardle (reporter)
2012-08-15 20:57

I had just tried that and was drafting a response. Unfortunately, it bombs:

Selecting LES turbulence model Smagorinsky
#0 Foam::error::printStack(Foam::Ostream&) in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libOpenFOAM.so"
#1 Foam::sigFpe::sigHandler(int) in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libOpenFOAM.so"
#2 __restore_rt at sigaction.c:0
#3 Foam::incompressible::RASModels::nutUSpaldingWallFunctionFvPatchScalarField::calcUTau(Foam::Field<double> const&) const in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleRASModels.so"
#4 Foam::incompressible::RASModels::nutUSpaldingWallFunctionFvPatchScalarField::calcNut() const in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleRASModels.so"
#5 Foam::incompressible::RASModels::nutWallFunctionFvPatchScalarField::updateCoeffs() in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleRASModels.so"
#6 Foam::fvPatchField<double>::evaluate(Foam::UPstream::commsTypes) in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/bin/multiphaseEulerFoam"
#7 Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh>::GeometricBoundaryField::evaluate() in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/bin/multiphaseEulerFoam"
#8 Foam::incompressible::LESModels::Smagorinsky::updateSubGridScaleFields(Foam::GeometricField<Foam::Tensor<double>, Foam::fvPatchField, Foam::volMesh> const&) in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleLESModels.so"
#9 Foam::incompressible::LESModels::Smagorinsky::Smagorinsky(Foam::GeometricField<Foam::Vector<double>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&, Foam::transportModel&, Foam::word const&, Foam::word const&) in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleLESModels.so"
#10 Foam::incompressible::LESModel::adddictionaryConstructorToTable<Foam::incompressible::LESModels::Smagorinsky>::New(Foam::GeometricField<Foam::Vector<double>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&, Foam::transportModel&, Foam::word const&) in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleLESModels.so"
#11 Foam::incompressible::LESModel::New(Foam::GeometricField<Foam::Vector<double>, Foam::fvPatchField, Foam::volMesh> const&, Foam::GeometricField<double, Foam::fvsPatchField, Foam::surfaceMesh> const&, Foam::transportModel&, Foam::word const&) in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleLESModels.so"
#12 main in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/bin/multiphaseEulerFoam"
#13 __libc_start_main in "/lib64/libc.so.6"
#14 Foam::regIOobject::writeObject(Foam::IOstream::streamFormat, Foam::IOstream::versionNumber, Foam::IOstream::compressionType) const in "/home/wardke/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/bin/multiphaseEulerFoam"
Floating point exception

I will have to take a look at the two versions and see what is different.
(0001604)
wyldckat (reporter)
2012-08-15 21:13

Well, until you get an official answer, you can revert just this particular change by doing the following commands:
  cd $FOAM_SRC/turbulenceModels/incompressible/LES
  git checkout 5d6c966ea106a171429febc7a35a44bd02fce707~1 Make/files derivedFvPatchFields/*
  wclean libso
  wmake libso

It will recover the relevant files prior to this commit and then rebuild the library.

Next time before you do "git pull", you can do "git stash" to store these changes without committing. After that, you better read a git tutorial ;)
(0001605)
andy (manager)
2012-08-16 09:10

Thanks for the reports - in the 2.1.x line we have updated the wall function usage, such that the RAS-based wall functions can now be applied to LES calculations, avoiding a large amount of code duplication. The link options had not been updated for the multiphaseEulerFoam solver - this should be resolved by commit f5d8c1b3.
(0001781)
kwardle (reporter)
2012-11-16 20:04

I had avoided this update and thus not tested the solution that Andy mentioned until today. The simulation runs for two full timesteps and then bombs with a floating point exception and the following error stack:
[7] #0 Foam::error::printStack(Foam::Ostream&) in "/home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libOpenFOAM.so"
[7] #1 Foam::sigFpe::sigHandler(int) in "/home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libOpenFOAM.so"
[7] #2 in "/lib/libc.so.6"
[7] #3 Foam::incompressible::RASModels::nutUSpaldingWallFunctionFvPatchScalarField::calcUTau(Foam::Field<double> const&) const in "/home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleRASModels.so"
[7] #4 Foam::incompressible::RASModels::nutUSpaldingWallFunctionFvPatchScalarField::calcNut() const in "/home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleRASModels.so"
[7] #5 Foam::incompressible::RASModels::nutWallFunctionFvPatchScalarField::updateCoeffs() in "/home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleRASModels.so"
[7] #6 Foam::fvPatchField<double>::evaluate(Foam::UPstream::commsTypes) in "/home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/bin/multiphaseEulerFoam"
[7] #7 Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh>::GeometricBoundaryField::evaluate() in "/home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/bin/multiphaseEulerFoam"
[7] #8 Foam::incompressible::LESModels::Smagorinsky::updateSubGridScaleFields(Foam::GeometricField<Foam::Tensor<double>, Foam::fvPatchField, Foam::volMesh> const&) in "/home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleLESModels.so"
[7] #9 Foam::incompressible::LESModel::correct() in "/home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleLESModels.so"
[7] #10
[7] in "/home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/bin/multiphaseEulerFoam"
[7] #11 __libc_start_main in "/lib/libc.so.6"
[7] #12
[7] in "/home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/bin/multiphaseEulerFoam"
[CMTT18:31084] *** Process received signal ***
[CMTT18:31084] Signal: Floating point exception (8)
[CMTT18:31084] Signal code: (-6)
[CMTT18:31084] Failing at address: 0x3e80000796c
[CMTT18:31084] [ 0] /lib/libc.so.6(+0x33af0) [0x7fbe7d4a7af0]
[CMTT18:31084] [ 1] /lib/libc.so.6(gsignal+0x35) [0x7fbe7d4a7a75]
[CMTT18:31084] [ 2] /lib/libc.so.6(+0x33af0) [0x7fbe7d4a7af0]
[CMTT18:31084] [ 3] /home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleRASModels.so(_ZNK4Foam14incompressible9RASModels42nutUSpaldingWallFunctionFvPatchScalarField8calcUTauERKNS_5FieldIdEE+0x45f) [0x7fbe7fb2088f]
[CMTT18:31084] [ 4] /home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleRASModels.so(_ZNK4Foam14incompressible9RASModels42nutUSpaldingWallFunctionFvPatchScalarField7calcNutEv+0x22a) [0x7fbe7fb2204a]
[CMTT18:31084] [ 5] /home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleRASModels.so(_ZN4Foam14incompressible9RASModels33nutWallFunctionFvPatchScalarField12updateCoeffsEv+0x4b) [0x7fbe7fb1409b]
[CMTT18:31084] [ 6] multiphaseEulerFoam(_ZN4Foam12fvPatchFieldIdE8evaluateENS_8UPstream10commsTypesE+0x10) [0x434850]
[CMTT18:31084] [ 7] multiphaseEulerFoam(_ZN4Foam14GeometricFieldIdNS_12fvPatchFieldENS_7volMeshEE22GeometricBoundaryField8evaluateEv+0x240) [0x444db0]
[CMTT18:31084] [ 8] /home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleLESModels.so(_ZN4Foam14incompressible9LESModels11Smagorinsky24updateSubGridScaleFieldsERKNS_14GeometricFieldINS_6TensorIdEENS_12fvPatchFieldENS_7volMeshEEE+0x1b2) [0x7fbe7ff1f6b2]
[CMTT18:31084] [ 9] /home/wardle/OpenFOAM/OpenFOAM-2.1.x/platforms/linux64GccDPOpt/lib/libincompressibleLESModels.so(_ZN4Foam14incompressible8LESModel7correctEv+0x35) [0x7fbe7fe8b105]
[CMTT18:31084] [10] multiphaseEulerFoam() [0x429259]
[CMTT18:31084] [11] /lib/libc.so.6(__libc_start_main+0xfd) [0x7fbe7d492c4d]
[CMTT18:31084] [12] multiphaseEulerFoam() [0x426049]
[CMTT18:31084] *** End of error message ***
(0001782)
kwardle (reporter)
2012-11-16 20:06

I should mention that all I did was change the BC type on walls in nuSgs to nutUSpaldingWallFunction rather than the previous name of nuSgsUSpaldingWallFunction.
(0001804)
andy (manager)
2012-12-04 14:15

Can you provide a small test case that reproduces the failure?
(0002428)
andy (manager)
2013-08-20 15:02

orphaned report - closing

- Issue History
Date Modified Username Field Change
2012-08-15 16:41 kwardle New Issue
2012-08-15 16:43 kwardle Note Added: 0001598
2012-08-15 18:19 kwardle Note Added: 0001599
2012-08-15 19:50 wyldckat Note Added: 0001600
2012-08-15 20:29 kwardle Note Added: 0001601
2012-08-15 20:53 wyldckat Note Added: 0001602
2012-08-15 20:57 kwardle Note Added: 0001603
2012-08-15 21:01 wyldckat Note Edited: 0001602 View Revisions
2012-08-15 21:13 wyldckat Note Added: 0001604
2012-08-16 09:10 andy Note Added: 0001605
2012-08-16 17:19 andy Status new => resolved
2012-08-16 17:19 andy Fixed in Version => 2.1.x
2012-08-16 17:19 andy Resolution open => fixed
2012-08-16 17:19 andy Assigned To => andy
2012-11-16 20:04 kwardle Note Added: 0001781
2012-11-16 20:04 kwardle Status resolved => feedback
2012-11-16 20:04 kwardle Resolution fixed => reopened
2012-11-16 20:06 kwardle Note Added: 0001782
2012-11-16 20:06 kwardle Status feedback => assigned
2012-12-04 14:15 andy Note Added: 0001804
2013-08-20 15:02 andy Note Added: 0002428
2013-08-20 15:02 andy Status assigned => closed
2013-08-20 15:02 andy Resolution reopened => no change required
2013-08-20 15:02 andy Fixed in Version 2.1.x =>